Mail::SpamAssassin::Header(3)

NAME
    Mail::SpamAssassin::Header - base class for SpamAssassin headers

SYNOPSIS
    my $header = Mail::SpamAssassin::Header->new('raw header value');
    print $header->value;

DESCRIPTION
This class is used to represent a generic header in SpamAssassin. It is used as a base class for more specific header types.

METHODS

new($raw)
    Creates a new instance of the class. Accepts the raw header value as a string.

raw()
    Returns the raw header value as a string.

value()
    Returns the header value as a string. For a generic header, this is the same as the raw value. It is overridden in subclasses to provide more specific functionality.